package de.ozgcloud.admin.setting;

import de.ozgcloud.admin.setting.postfach.PostfachSettingBody;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBodyTestFactory;
import de.ozgcloud.common.test.TestUtils;

public class YamlTestFactory {
	public static PostfachSettingBody postfach = PostfachSettingBodyTestFactory.create();

	public static String createVorgangManagerYaml() {
		return TestUtils.loadTextFile("yamlTemplates/settings/vorgangManager.yaml.tmpl",
				postfach.getAbsender().getName(),
				postfach.getAbsender().getAnschrift(),
				postfach.getAbsender().getDienst(),
				postfach.getAbsender().getMandant(),
				postfach.getAbsender().getGemeindeschluessel());
	}

	public static String createAlfaYaml() {
		return TestUtils.loadTextFile("yamlTemplates/settings/alfa.yaml.tmpl", postfach.getSignatur());
	}
}
